[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# SetJSONStringParserHandler

Install a JSON string to JSON Data conversion callback

## Declaration

Source position: fpjson.pp line 797

`function SetJSONStringParserHandler(`
`AHandler: TJSONStringParserHandler`
`):TJSONStringParserHandler;`

## Arguments

`AHandler` |  | New handler

## Function result

Previously installed handler

## Description

SetJSONStringParserHandler has the same functionality as SetJSONParserHandler. It sets a callback that will be used by the GetJSON call to convert a string value to JSON data. If no such callback is installed, the string will be converted to a stream, and the handler set by SetJSONParserHandler will be used instead. Setting this handler prevents a conversion from a string to a stream.

The function returns the previously installed handler, if any.

## See also

GetJSONStringParserHandler |  | return the current JSON string to JSON Data conversion callback
SetJSONParserHandler |  | Set the JSON parser handler
GetJSONParserHandler |  | Get the current JSON parser handler